Subject: Telephone number of Plant Molecular Biology Reporter

From: [email-masked]
Date: 9 May 1995 09:34:32 -0700

Hi:

Can someone tell me the telephone number or e-mail address of Plant 
Molecular Biology Reporter editorial office? The newest issue of the 
journal we have here is 12(1), 1994. The number appears there is 1-
908-445-0276, and email [email-masked], but they don't seem to 
work. I'll appreciate it if you can tell me the correct ones (if they 
are different from the ones I have).

Jing-Zhong Lin, PhD
Univ. of Toronto